Subject: RE: G9 requirement upon LDAP, not LDUP

From: Christopher Apple <[email-masked]>
Date: Mon, 9 Apr 2001 15:24:15 -0400

Please note that Patrik's e-mail address was incorrect on my original
reply. This time its correct. "Ghost" entries in my address book......

Chris Apple
Program Manager - Directory Services
United Messaging Inc.
http://www.unitedmessaging.com
[email-masked]
<mailto:[email-masked]> 
(V) 610-425-2860

> -----Original Message-----
> From: Christopher Apple 
> Sent: Monday, April 09, 2001 3:17 PM
> To: 'Kurt D. Zeilenga'; Christopher Apple
> Cc: [email-masked]; [email-masked]'; [email-masked]'
> Subject: RE: G9 requirement upon LDAP, not LDUP
> 
> 
> John and I can certainly look at scope issues and will.
> 
> I didn't intend to squash discussion. People are free to comment
> on this issue as they always are on the mailing list. I was pointing
> out that so far - we've only heard something from two people. So, more
> discussion is required about this topic on the list before consensus
> can be gauged.
> 
> Generally, when a requirement shows up in a WG document, its either
> a proposal for the WG to consider or represents consensus of the WG.
> Rick Huber pointed out to me in a private reply that this requirement
> was actually new as of the -07 revision of the document. So, 
> my recollection
> was not correct. As far as judging consensus based on no 
> discussion of the
> issue in the mailing list, please take note that I mentioned 
> (using different
> words) in my reply to your posting that I still needed to do that sort
> of audit to confirm (or refute, though I did not specifically 
> use that word)
> my recollection.
> 
> I want to hear more from others about a proposed resolution to your
> opinion/posting before a change of this nature is made to the draft.
> 
> Strictly speaking without my co-chair hat on, I think its certainly
> appropriate to recommend in a requirements document for 
> LDAPv3 Replication
> (its just called LDUP because of a set of words that someone 
> culled together
> before one of the first BOF meetings on the topic) that future LDAPv3
> extensions should include a section on how that particular 
> extension is
> affected by or could potentially affect replication. I do not have a
> strong feeling at this point about the strength that we should install
> into that requirement.
> 
> Speaking as co-chair, I need to see more discussion of the 
> issue before
> consensus can be gauged. 
> 
> Chris Apple
> Program Manager - Directory Services
> United Messaging Inc.
> http://www.unitedmessaging.com
> [email-masked] 
<mailto:[email-masked]> 
(V) 610-425-2860

> -----Original Message-----
> From: Kurt D. Zeilenga [mailto:[email-masked]]
> Sent: Monday, April 09, 2001 10:58 AM
> To: Christopher Apple
> Cc: [email-masked]
> Subject: RE: G9 requirement upon LDAP, not LDUP
> 
> 
> Christopher,
> 
> Maybe I was unclear in the nature of my objection.  I do not believe
> the sentence in question states a technical requirement upon the
> design of LDUP.  It states a requirement upon the design and
> specification of other LDAP extensions.  I ask that you or John,
> the WG chairs, review the charter and make a determination whether
> the LDUP WG is tasked to develop requirements upon the developers
> of other LDAP extensions and then to take action based upon this
> determination.
> 
> If you believe it is within scope, I object to you squashing
> discussion on this issue and ask you reconsider.
> 
> There was no such requirement in revision -06 which went up for
> WG Last Call.  At last call, an issue was discussed regarding
> "active" and "passive" data and I believe the eventual consensus
> was to replace this characterization with the userApplications v.
> operational characterization.
> 
> This sentence, however, was not part of that discussion.  I cannot
> find any prior discussion as to why it was added and I believe my
> posting of yesterday initiated the first discussion regarding the
> addition.  It is unclear to me how one could draw what the WG
> consensus regarding an issue which has yet to be discussed.
> 
> Thanks, Kurt
>

---

From: Richard Huber <[email-masked]>
Date: Mon, 09 Apr 2001 16:51:24 -0400

I certainly agree that the sentence in question "...states a requirement
upon the design and specification of other LDAP extensions".  That's what we
were trying to do.

The requirement grew out of an issue that was discussed in San Diego.
Albert Langer had noted in email that the subentry draft might add new
replication needs.  It may indeed, as may other proposals.  We need to have
a way to track these needs so they can be addressed.  We can write
requirements and models that address current LDAP features, but we really
can't address all possible future features.  So, in order to make sure that
we understand the replication issues of future LDAP extensions, we added the
requirement.

Kurt, in a previous email you seem to agree that our concern is valid:

> This is not to say that designers of extensions should ignore
> such considerations.  Designers of extensions should consider all
> aspects of the LDAP/X.500 data and service models including
> replication.
>
So if your concern is with our proposed mechanism rather than our goal, do
you see some other way we can address the issue?

Rick Huber

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Tue, 10 Apr 2001 19:27:54 -0700

[Cc list trimmed]

>you see some other way we can address the issue?

Well, I think in the short term (from now to the time when an
LDUP Standard Track specification), I think the best way to
ensure that LDAP/X.500 data and service models issues are
addressed if for concerned members of the IETF to do appropriate
review of the documents as they are progressed though the IETF.

If the LDUP requirement were to actually mandate a "Replication
Considerations" section, here are some samples which you will
likely get:

  1) no section, the authors/review did not see the req't.
  2) no section, the authors/review don't believe any section can
      be provided which adds value.
  3) section with:
        "LDAP Replication was not considered as LDUP is a "work
        in progress''."
  4) section with:
       "This extension is designed to support LDAP replication
       which is consistent with the LDAP/X.500 data and service
        models."
  5) section with:
       "This extension is designed to support LDUP, ''a work in
       progress'', as currently designed but may not support
        LDUP as defined in future Standard Track documents."

None of these are particular useful.  Until LDUP matures,
I don't see how any useful statement can actually be made.

The problem is that the requirement, as stated, attempts to
mandate that all LDAP Standard Track specifications to express
considerations for a ''work in a progress''.  This seems quite
inappropriate to me.

I would suggest instead of requiring the authors to document
such considerations you just say:
  Authors of LDAP extensions SHOULD consider replication
  issues.  As LDAP Replication is currently a "work in progress",
  authors SHOULD note that any I-Ds detailing this work may be
  updated, replaced, or obsoleted by other documents at any 
  time.  I-Ds MUST NOT be viewed as a definitive.

As this is not a requirement upon LDUP, I would not enumerate
it as such.  I would instead place in the Introduction.

---

From: "Albert Langer" <[email-masked]>
Date: Wed, 11 Apr 2001 17:19:03 +1000

I agree with Kurt.

In addition it is especially difficult for anyone to consider
impact on specifications that are not only "in progress" but
quite immature.

Also suggest that the wording placed in introduction should be
more reciprocal - actively *soliciting* input from elsewhere
as to how LDUP should take into account the needs of *other*
areas.

Stressed this earlier - especially re atomicity but obviously
applies to many things. LDUP needs to *learn*, not make demands.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Kurt D. Zeilenga
Sent: Wednesday, April 11, 2001 12:28 PM
To: Richard Huber
Cc: [email-masked]
Subject: Re: G9 requirement upon LDAP, not LDUP

[Cc list trimmed]

---

From: "Albert Langer" <[email-masked]>
Date: Wed, 11 Apr 2001 17:19:03 +1000

I agree with Kurt.

-----Original Message-----

[Cc list trimmed]